import request from '@/core/utils/request'

// 创建
export function create (data) {
  return request.post('/cms/template/create', data)
}

// 根据ID删除
export function deleteById (id) {
  return request.get(`/cms/template/delete/${id}`)
}

// 批量删除
export function deleteByIdInBatch (ids) {
  return request.get('/cms/template/delete/batch', {
    params: {
      ids
    }
  })
}

// 根据ID修改
export function updateById (data) {
  return request.post('/cms/template/updateById', data)
}

// 分页查询
export function fetchPage (data) {
  return request.post('/cms/template/page', data)
}

// 分页查询
export function fetchAll (data) {
  return request.get('/cms/template/all', data)
}
